CURRENTPWD=`pwd`
cd /mnt/nand1-1/wifi_usb
ifconfig lo up
if [ "`lsmod | grep 8188eu.ko`" = "" ]; then
     insmod drivers/8188eu.ko
else
     echo "module $DRIVER is exist"
fi

WIFI_PATH=$PWD

AP_IF=wlan1
STA_IF=wlan0
NETCONFIG_FILE=$WIFI_PATH/network_config
STA_CONF=/tmp/wpa_supplicant.conf
WPA_CTRL=/var/run/wpa_supplicant
STA_WPA=$WIFI_PATH/wpa_supplicant
STA_CLI=$WIFI_PATH/wpa_cli
AP_CONF=/tmp/hostapd.conf
ifconfig $STA_IF up
ifconfig $AP_IF up

STA_CHIPSET=`awk '{if ($1=="STA_CHIPSET") {print $2}}' $NETCONFIG_FILE`
AP_ENABLE=`awk '{if ($1=="AP_ENABLE") {print $2}}' $NETCONFIG_FILE`
AP_CHIPSET=`awk '{if ($1=="AP_CHIPSET") {print $2}}' $NETCONFIG_FILE`
AP_IPADDR=`awk '{if ($1=="AP_IPADDR") {print $2}}' $NETCONFIG_FILE`
AP_SSID=`awk '{if ($1=="AP_SSID") { print $2 }}' $NETCONFIG_FILE`
if [ "$(echo "$STA_SSID" | cut -c1)" = '"' ]; then
	AP_SSID=`awk -F\" '{if ($1=="AP_SSID ") { print $2 }}' $NETCONFIG_FILE`
fi
AP_AUTH_MODE=`awk '{if ($1=="AP_AUTH_MODE") {print $2}}' $NETCONFIG_FILE`
AP_ENCRYPT_TYPE=`awk '{if ($1=="AP_ENCRYPT_TYPE") {print $2}}' $NETCONFIG_FILE`
AP_AUTH_KEY=`awk '{if ($1=="AP_AUTH_KEY") {print $2}}' $NETCONFIG_FILE`
AP_CHANNEL=`awk '{if ($1=="AP_CHANNEL") {print $2}}' $NETCONFIG_FILE`
DEVICE_NAME=`awk '{if ($1=="DEVICE_NAME") {print $2}}' $NETCONFIG_FILE`

echo "AP_SSID=$AP_SSID"
echo "DEVICE_NAME=$DEVICE_NAME"

if [ $AP_SSID == "DEFAULT" ]; then
	DEVICE_NAME=Z3
	AP_SSID=${DEVICE_NAME}_$(ifconfig | grep $AP_IF | awk '{print $5}' | awk -F: '{print $3 $4 $5 $6}')
	sed -i "/AP_SSID/s/^.*$/AP_SSID ${AP_SSID}/g" /mnt/nand1-1/wifi_usb/network_config
	sed -i '/AP_AUTH_KEY/s/^.*$/AP_AUTH_KEY 12345678/g' /mnt/nand1-1/wifi_usb/network_config
	AP_AUTH_KEY=12345678
	echo "AP_SSID=$AP_SSID"
	echo "AP_AUTH_KEY=$AP_AUTH_KEY"	
	sync
fi

	echo "AP_ENABLE=$AP_ENABLE"
if [ $AP_ENABLE == "YES" ]; then	
	echo "hostapd.conf.default > $AP_CONF"
	echo "AP_SSID=$AP_SSID"
	echo "AP_AUTH_KEY=$AP_AUTH_KEY"
			
#	cat hostapd.conf.default > $AP_CONF
	cp hostapd.conf.default $AP_CONF
	echo "ssid=$AP_SSID" >> $AP_CONF
	echo "wpa_passphrase=$AP_AUTH_KEY" >> $AP_CONF		
	$WIFI_PATH/hostapd $AP_CONF -B
	ifconfig $AP_IF 192.168.10.123 netmask 255.255.255.0
	./dnsmasq --conf-file=$WIFI_PATH/dnsmasq.conf --pid-file=/tmp/dnsmasq.pid --user=root --group=root &
fi

echo "STA_ENABLE=$STA_ENABLE"

echo "ctrl_interface=/var/run/wpa_supplicant" > $STA_CONF
echo "ctrl_interface_group=0" >> $STA_CONF
echo "network={" >> $STA_CONF
echo "scan_ssid=1" >> $STA_CONF
echo "psk=\"very secret passphrase\"" >> $STA_CONF
echo "priority=5" >> $STA_CONF
echo "}" >> $STA_CONF

if [ $STA_ENABLE = "YES" ]; then	
	echo "start supplicant"
#	$STA_WPA -i$STA_IF -Dwext -c$STA_CONF -B
#	udhcpc -i $STA_IF -T 2 -A 5 -a -b	
fi
cd $CURRENTPWD
